Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Class SubPartitionInfo

    java.lang.Object
      org.jboss.ha.framework.interfaces.SubPartitionInfo

All Implemented Interfaces:
  Cloneable, Comparable, Serializable

public class SubPartitionInfo
extends Object
implements Comparable, Cloneable, Serializable

Holder class that knows about a particular HA(sub)Partition i.e. member nodes, partition name and some utility functions.

Version:
  $Revision: 1.4 $
Author:
  Sacha Labourey
See Also:
  `HASessionState`, `HASessionStateImpl`, Serialized Form

Field Summary
`ArrayList` | `memberNodeNames` List of nodes part of this sub-partition
`HashSet` | `subPartitionMergedNames` When sub-partitions are merged, some names will disappear (eg.
`String` | `subPartitionName` Name of the current sub-partition (will be used to create a JGroups group)

Constructor Summary
`SubPartitionInfo()`
`SubPartitionInfo(String partitionName, String[] members)`

Method Summary
`boolean` | `actsForSubPartition(String subPartitionName)`
`Object` | `clone()`
`int` | `compareTo(Object o)` "Note: this class has a natural ordering that is inconsistent with equals."
`boolean` | `containsNode(String node)`
`void` | `merge(SubPartitionInfo merged)`
`void` | `setIsNewGroup()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subPartitionName

    public String subPartitionName

  Name of the current sub-partition (will be used to create a JGroups group)

### subPartitionMergedNames

    public HashSet subPartitionMergedNames

  When sub-partitions are merged, some names will disappear (eg. Merge G1 and G2 in G1) this structure remembers the removed named so that HAPartition can know which new group they should join

### memberNodeNames

    public ArrayList memberNodeNames

  List of nodes part of this sub-partition

Constructor Detail

### SubPartitionInfo

    public SubPartitionInfo()

### SubPartitionInfo

    public SubPartitionInfo(String partitionName,
                            String[] members)

Method Detail

### setIsNewGroup

    public void setIsNewGroup()

### merge

    public void merge(SubPartitionInfo merged)

### toString

    public String toString()

### actsForSubPartition

    public boolean actsForSubPartition(String subPartitionName)

### containsNode

    public boolean containsNode(String node)

### compareTo

    public int compareTo(Object o)

  "Note: this class has a natural ordering that is inconsistent with equals."

  Specified by:
    `compareTo` in interface `Comparable`

### clone

    public Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.